#ifndef NSQL_H
	#include <nsql.h>
#endif
class C_accounts: public NSQL_RECORD{
public:
	NSQL_FIELD name;
	NSQL_FIELD fullname;
	NSQL_FIELD quota;
	NSQL_FIELD domainid;
	NSQL_FIELD password;
	NSQL_FIELD lastaccess;
	C_accounts()
	:
		name("name"),
		fullname("fullname"),
		quota("quota"),
		domainid("domainid"),
		password("password"),
		lastaccess("lastaccess")
	{
		tb[0] = &name;
		tb[1] = &fullname;
		tb[2] = &quota;
		tb[3] = &domainid;
		tb[4] = &password;
		tb[5] = &lastaccess;
		nbfield=6;
	}
};
class C_aliases: public NSQL_RECORD{
public:
	NSQL_FIELD name;
	NSQL_FIELD domainid;
	NSQL_FIELD alias;
	C_aliases()
	:
		name("name"),
		domainid("domainid"),
		alias("alias")
	{
		tb[0] = &name;
		tb[1] = &domainid;
		tb[2] = &alias;
		nbfield=3;
	}
};
class C_messages: public NSQL_RECORD{
public:
	NSQL_FIELD name;
	NSQL_FIELD domainid;
	NSQL_FIELD folder;
	NSQL_FIELD fromname;
	NSQL_FIELD fromadr;
	NSQL_FIELD toname;
	NSQL_FIELD toadr;
	NSQL_FIELD reply;
	NSQL_FIELD subject;
	NSQL_FIELD msgid;
	NSQL_FIELD replyid;
	NSQL_FIELD datesent;
	NSQL_FIELD daterec;
	NSQL_FIELD deleted;
	NSQL_FIELD header;
	NSQL_FIELD message;
	C_messages()
	:
		name("name"),
		domainid("domainid"),
		folder("folder"),
		fromname("fromname"),
		fromadr("fromadr"),
		toname("toname"),
		toadr("toadr"),
		reply("reply"),
		subject("subject"),
		msgid("msgid"),
		replyid("replyid"),
		datesent("datesent"),
		daterec("daterec"),
		deleted("deleted"),
		header("header"),
		message("message")
	{
		tb[0] = &name;
		tb[1] = &domainid;
		tb[2] = &folder;
		tb[3] = &fromname;
		tb[4] = &fromadr;
		tb[5] = &toname;
		tb[6] = &toadr;
		tb[7] = &reply;
		tb[8] = &subject;
		tb[9] = &msgid;
		tb[10] = &replyid;
		tb[11] = &datesent;
		tb[12] = &daterec;
		tb[13] = &deleted;
		tb[14] = &header;
		tb[15] = &message;
		nbfield=16;
	}
};
